<?php
/*
 *      this file is a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org> and contributors
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
?>

<generatorask>
    <p><?php echo __('Cette page liste les éléments de la collection (<a href="http://jonas.tuxfamily.org/wiki/gcweb/documentation/generateur_de_theme#list">plus d\'explications</a>)') ?>.</p>

    <p style="color:red"><?php echo __('Attention! Le modèle "menu" doit être créé avant cette page') ?>.</p>

    <ul style="position:relative">
        <li><span class="generator_label"><?php echo __('Titre de l\'élément') ?> :</span>   <span class="generator_desc"><champ>title</champ></span> <span style="color:red"><?php echo __('Saisie obligatoire') ?></span></li>
        <li><span class="generator_label"><?php echo __('Note') ?> :</span>                  <span class="generator_desc"><champ>rating</champ> (<?php echo __('Certainement un chiffre entre 0 et 10') ?>)</span></li>
        <li><span class="generator_label"><?php echo __('Image réprésentative') ?> :</span>  <span class="generator_desc"><champ>img</champ></span></li>
        <li><span class="generator_label"><?php echo __('Taille de cette image') ?> :</span> <span class="generator_desc"><txt>Ximg=1000</txt> x <txt>Yimg=120</txt> (<?php echo __('Valeurs conseillées pour une image plus haute que large') ?> : <code>1000 x 120</code>. <?php echo __('Les proportions de l\'image seront conservées') ?>)</span></li>
        <li><?php echo __('Information avec un lien vers un filtre (quand on clique dessus, GCweb affichera tous
            les éléments ayant cette valeur). Ne sélectionnez pas trop d\'éléments car le place
            est limitée.') ?>
            <ul>
            <loop filter>
                <li><?php echo __('Label') ?> <txt>labelfilter</txt> - <?php echo __('Champ') ?> <champ>valuefilter</champ> </li>
            </loop>
                <li>→ <addloop filter></li>
            </ul>
        </li>
        <li><?php echo __('Autres informations sans lien (idem pour le nombre d\'éléments)') ?>.
            <ul>
            <loop otherinfo>
                <li><?php echo __('Label') ?> <txt>labelotherinfo</txt> - <?php echo __('Champ') ?> <champ>valueotherinfo</champ> </li>
            </loop>
                <li>→ <addloop otherinfo></li>
            </ul>
        </li>
        <li><?php echo __('Liste de lien') ?>
            <ul>
            <loop link>
                <li><?php echo __('Label') ?> <txt>labellink</txt> - <?php echo __('url') ?> <champ>valuelink</champ> </li>
            </loop>
                <li>→ <addloop link></li>
            </ul>
        </li>
    </ul>
</generatorask>

<generatorcode>
<?php
/*
 *      File generated by GCweb generator a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org>
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
?>

<div id="content">

    <?php include TEMPLATE_MODEL_PATH_GCWEB.'/menu_'.$collec['type'].'.php' ?>

    <div id="list">
        <div class="nav">
            <div class="box">
                <p class="navpage">
                    <?php aff_prevPage(5,' - ') ; aff_currentPage() ; aff_nextPage(5,' - ') ?>
                </p>
                <?php include TEMPLATE_MODEL_PATH_GCWEB.'/menuOptionsAff.php'; ?>
            </div>
        </div>


        <?php
        /*************** Debut de la boucle sur le items *********************/
        foreach ($items as $item) {
        ?>
        <div id="id_<?php aff($item['id']) ?>" class="element">
            <div class="box">
                <ifexists img>
                <a href="<?php aff_hrefitem($item)?>">
                    <img class="image" src="<?php aff_image($item['%%img%%'],%%Ximg%%,%%Yimg%%) ?>" <?php aff_attrsize_image($item['%%img%%'],%%Ximg%%,%%Yimg%%) ?> alt="<?php aff($item['%%title%%']) ?>" />
                </a>
                </ifexists>
                <div class="scroll">
                    <h3><a href="<?php aff_hrefitem($item)?>"><?php aff($item['%%title%%']) ?></a></h3>
                    <a title="<?php echo __('Plus d\'info') ?>" href="<?php aff_hrefitem($item)?>">
                        <span class="starNote"><ifexists ratting><?php aff_star($item['%%ratting%%']) ?></ifexists></span>
                    </a>
                    <ul>
                        <loop filter>
                        <?php if (test($item['%%valuefilter%%']))       {?> <li><span class="label"><?php echo __('%%labelfilter%%') ?> :   </span><span class="info"><?php aff_filter('%%valuefilter%%==',$item['%%valuefilter%%']) ?></span></li><?php } ?>
                        </loop>
                        <loop otherinfo>
                        <?php if (test($item['%%valueotherinfo%%']))   {?> <li><span class="label"><?php echo __('%%labelotherinfo%%') ?> : </span><span class="info"><?php aff($item['%%valueotherinfo%%']) ?></span></li><?php } ?>
                        </loop>
                        <li><loop link>
                        <?php if (test($item['%%valuelink%%']))   {?> <a href="<?php aff($item['%%valuelink%%'])?>"><?php echo __('%%labellink%%') ?></a><?php } ?>
                        </loop></li>
                    </ul>
                    <?php echo join("\n", $item['array_add_to_all_pages']); ?>
                </div>
            </div>
        </div>
        <?php
        }
        /**************** Fin de la boucle sur les items *********************/
        ?>

        <div class="nav">
            <div class="box">
                <p class="navpage">
                    <?php aff_prevPage(5,' - ') ; aff($collec['page']) ; aff_nextPage(5,' - ') ?>
                </p>
            </div>
        </div>
    </div>
</div>
</generatorcode>
